cURL
curl --request POST \
--url https://api.comm.com/api/v1/integrations/{integration}/requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 123,
"per_page": 123,
"search": "<string>",
"search_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.comm.com/api/v1/integrations/{integration}/requests"
payload = {
"page": 123,
"per_page": 123,
"search": "<string>",
"search_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: 123,
per_page: 123,
search: '<string>',
search_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.comm.com/api/v1/integrations/{integration}/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"event_type": "<string>",
"meta": [
"<unknown>"
],
"response": [
"<unknown>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Integrations
Post v1integrations requests
POST
/
v1
/
integrations
/
{integration}
/
requests
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The integration ID
Body
application/json
Response
Array of IntegrationRequestResource
Show child attributes
Show child attributes
⌘I